package quimufu.colourful_portals.util;

import net.minecraft.block.ShapeContext;
import net.minecraft.fluid.FluidState;
import net.minecraft.item.Item;
import net.minecraft.util.math.BlockPos;
import net.minecraft.util.shape.VoxelShape;

public class CollisionAwareShapeContext implements ShapeContext {
    public CollisionAwareShapeContext() {
    }

    @Override
    public boolean isDescending() {
        return false;
    }

    @Override
    public boolean isAbove(VoxelShape shape, BlockPos pos, boolean defaultValue) {
        return false;
    }

    @Override
    public boolean isHolding(Item item) {
        return false;
    }

    @Override
    public boolean canWalkOnFluid(FluidState stateAbove, FluidState state) {
        return false;
    }
}
